#############################################################################
# Makefile for building targets in sub directories.
# Generated by tmake at 17:58, 2002/08/04
#     Project: lib
#    Template: subdirs
#############################################################################

MAKEFILE=	Makefile
TMAKE	=	tmake

SUBDIRS =	wrl \
		ZThread

all: $(SUBDIRS)

wrl: FORCE
	cd wrl
	$(MAKE)
	@cd ..

ZThread: FORCE
	cd ZThread
	$(MAKE)
	@cd ..


tmake: Makefile.mingw

Makefile.mingw: lib.pro
	tmake lib.pro -o Makefile.mingw

tmake_all:
	cd wrl
	$(TMAKE) wrl.pro -o $(MAKEFILE)
	@cd ..
	cd ZThread
	$(TMAKE) ZThread.pro -o $(MAKEFILE)
	@cd ..


clean:
	cd wrl
	$(MAKE) clean
	@cd ..
	cd ZThread
	$(MAKE) clean
	@cd ..

FORCE:
